| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
impeller::EntityPassDelegate Class Referenceabstract

`#include <entity_pass_delegate.h>`

Inheritance diagram for impeller::EntityPassDelegate:

## Public Member Functions
| EntityPassDelegate ()
virtual | ~EntityPassDelegate ()
virtual bool | CanElide ()=0
virtual bool | CanCollapseIntoParentPass (EntityPass *entity_pass)=0
| Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass. More...
virtual std::shared_ptr< Contents > | CreateContentsForSubpassTarget (std::shared_ptr< Texture > target, const Matrix &effect_transform)=0
virtual std::shared_ptr< FilterContents > | WithImageFilter (const FilterInput::Variant &input, const Matrix &effect_transform) const =0

## Static Public Member Functions
static std::unique_ptr< EntityPassDelegate > | MakeDefault ()

## Detailed Description

Definition at line 19 of file entity_pass_delegate.h.

## Constructor & Destructor Documentation

## ◆ EntityPassDelegate()

impeller::EntityPassDelegate::EntityPassDelegate | ( |  | ) |
| default

## ◆ ~EntityPassDelegate()

impeller::EntityPassDelegate::~EntityPassDelegate | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ CanCollapseIntoParentPass()

virtual bool impeller::EntityPassDelegate::CanCollapseIntoParentPass | ( | EntityPass * | entity_pass | ) |
| pure virtual

Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass.

Implemented in impeller::testing::TestPassDelegate, impeller::OpacityPeepholePassDelegate, impeller::PaintPassDelegate, and impeller::DefaultEntityPassDelegate.

## ◆ CanElide()

virtual bool impeller::EntityPassDelegate::CanElide | ( |  | ) |
| pure virtual

Implemented in impeller::testing::TestPassDelegate, impeller::OpacityPeepholePassDelegate, impeller::PaintPassDelegate, and impeller::DefaultEntityPassDelegate.

## ◆ CreateContentsForSubpassTarget()

virtual std::shared_ptr<Contents> impeller::EntityPassDelegate::CreateContentsForSubpassTarget | ( | std::shared_ptr< Texture > | target,
|  | const Matrix & | effect_transform
| ) |  |
| pure virtual

Implemented in impeller::testing::TestPassDelegate, impeller::OpacityPeepholePassDelegate, impeller::PaintPassDelegate, and impeller::DefaultEntityPassDelegate.

## ◆ MakeDefault()

std::unique_ptr< EntityPassDelegate > impeller::EntityPassDelegate::MakeDefault | ( |  | ) |
| static

Definition at line 48 of file entity_pass_delegate.cc.

48 {
49 return std::make_unique<DefaultEntityPassDelegate>();
50 }

## ◆ WithImageFilter()

virtual std::shared_ptr<FilterContents> impeller::EntityPassDelegate::WithImageFilter | ( | const FilterInput::Variant & | input,
|  | const Matrix & | effect_transform
| ) |  | const
| pure virtual

Implemented in impeller::testing::TestPassDelegate, impeller::OpacityPeepholePassDelegate, impeller::DefaultEntityPassDelegate, and impeller::PaintPassDelegate.

The documentation for this class was generated from the following files:

- impeller/entity/entity_pass_delegate.h
- impeller/entity/entity_pass_delegate.cc